package w83b.w83bOperacionesInternas.w83bMantenimientos.w83bArbitros;

import w83b.w83bBeans.W83bArbitrosBean;
import w83b.w83bBeans.W83bUsuarioXLNetsBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import w83b.w83bUtilidadesComunes.W83bUtilidadesN38API;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInterna;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaConfigBean;
import es.ejie.frmk.negocio.operacioninterna.Q70OperacionInternaErrors;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;
/**
 * 
 * @author 
 *
 */
public class W83bBuscArbitrosAction extends Q70OperacionInterna{
	/**
	 * preProcessMappingEntrada
	 * @param contexto a
	 * @param configBean a
	 * @param errors a
	 * @throws Exception e
	 */				
	protected void preProcessMappingEntrada(Q70ContextoEJIE contexto, Q70OperacionInternaConfigBean configBean, Q70OperacionInternaErrors errors) throws Exception{				
		
		W83bArbitrosBean bean = (W83bArbitrosBean) contexto.get("w83bArbitrosBean");
		W83bUsuarioXLNetsBean ub = bean.getUsuarioBean();
		String permiso = W83bUtilidadesN38API.elegirServiciosCentralosODelegacion(ub.getPerfilXLNets());
		if(!W83bClsConstantes.CONSTANTE_PERMISO_ADMOM_DIR_TRAB_SS_SERVCENTRALES.equalsIgnoreCase(permiso)){
			if(W83bClsConstantes.CONSTANTE_PERMISO_ADMINISTRADOR_ALAVA.equalsIgnoreCase(permiso)||W83bClsConstantes.CONSTANTE_PERMISO_CONSULTA_ALAVA.equalsIgnoreCase(permiso)){
				bean.setTerritorio(W83bClsConstantes.CONSTANTE_ALAVA);
			}else if(W83bClsConstantes.CONSTANTE_PERMISO_ADMINISTRADOR_GUIPUZKOA.equalsIgnoreCase(permiso)||W83bClsConstantes.CONSTANTE_PERMISO_CONSULTA_GUIPUZKOA.equalsIgnoreCase(permiso)){
				bean.setTerritorio(W83bClsConstantes.CONSTANTE_GIPUZKOA);
			}else if(W83bClsConstantes.CONSTANTE_PERMISO_ADMINISTRADOR_BIZKAIA.equalsIgnoreCase(permiso)||W83bClsConstantes.CONSTANTE_PERMISO_CONSULTA_BIZKAIA.equalsIgnoreCase(permiso)){
				bean.setTerritorio(W83bClsConstantes.CONSTANTE_BIZKAIA);
			}
		}
		String idioma = (String)contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA);//NOPMD
		bean.setIdioma(idioma);
		contexto.set("w83bArbitrosBean",bean);
		
		super.preProcessMappingEntrada(contexto, configBean, errors);
			
	}
	/**
	 * postProcessMappingSalida
	 * @param contexto a
	 * @param errors a
	 * @throws Exception e
	 */
	protected void postProcessMappingSalida(Q70ContextoEJIE contexto, Q70OperacionInternaErrors errors) throws Exception {

		contexto.set("busqRealizada","true");
		
		contexto.set("w83bArbitrosTempBean",contexto.get("w83bArbitrosBean"));
		
		super.postProcessMappingSalida(contexto, errors);
	}
	
}
